package data

import (
	"context"
	"gorm.io/gorm"
)

type Db struct {
	db *GormDb
}

func NewDb(db *GormDb) *Db {
	return &Db{
		db: db,
	}
}

func (d *Db) DB(_ context.Context) *gorm.DB {
	return d.db.Client
}
